Squid < 2.6 STABLE12 TRACE Request DoS

Medium Log Correlation Engine Plugin ID 801033

Synopsis

The remote proxy server is vulnerable to a denial of service vulnerability.

Description

A vulnerability in TRACE request processing has been reported in Squid that can be exploited by malicious people to cause a denial of service.

Solution

Upgrade to version 2.6 STABLE12 or higher.

See Also

http://.squid-cache.org/Advisories/SQUID-2007_1.txt

Plugin Details

Severity: Medium

ID: 801033

File Name: 801033.prm

Family: Web Servers

Nessus ID: 24873

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 3.3

Temporal Score: 2.4

Vector: CVSS2#AV:A/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Reference Information

CVE: CVE-2007-1560

BID: 23085